--<h1 class="m-3">Product</h1>
<form class="m-4">
    <div class="form-group m-3">
      <label for="exampleInputEmail1">ID</label>
      <input  class="form-control" disabled aria-describedby="emailHelp" value="{{product.id}}">
    </div>
    <div class="form-group m-3">
      <label>Title</label>
      <input  class="form-control"   value="{{product.title}}">
    </div>
    <div class="form-group m-3">
      <label>Description</label>
      <input  class="form-control"   value="{{product.description}}">
    </div>
    <div class="form-group m-3">
      <label>Category </label>
      <mat-form-field appearance="standard" class="ms-4 w-25">
        <mat-select [(ngModel)]="product.categoryId" name="categoryId">
          <mat-option  *ngFor="let cat of categories"  class="form-control"  [value]="cat.id">
            {{cat.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
  </div>
    <div class="form-group m-3">
      <label>Price</label>
      <input  class="form-control"   value="{{product.price}}">
    </div>
    <div class="form-group m-3">
      <label>DietaryFlag</label>
      <input  class="form-control"   value="{{product.dietaryFlagName}}">
    </div>
   
    <button type="submit" class="btn btn-primary mt-2" routerLink='/Product/List'
    routerLinkActive="router-link-active">Back</button>
  </form>